from i3pystatus import Status
from i3pystatus.updates import pacman, cower
#import sensors

status = Status()

status.register("pulseaudio",
    format="♪I {volume}%",
    format_muted="♪I -∞dB",
    step="2",
    sink="alsa_output.pci-0000_00_1f.3.analog-stereo")
status.register("pulseaudio",
    format="♪D {volume}%",
    format_muted="♪D -∞dB",
    step="2",
    sink="@DEFAULT_SINK@")

status.register("backlight",
    format="{percentage}%",
    backlight="intel_backlight",
    on_leftclick="xbacklight =10",
    on_rightclick="xbacklight =50",
    interval=1)

status.register("shell",
    format="Autolock: {output}",
    command="/home/kunsi/.config/i3pystatus/screensaver-status.sh",
    interval=1,
    on_leftclick="xset s 90 10",
    on_rightclick="xset s off")

status.register("clock",
    format="%a, %Y-%m-%d %H:%M:%S",)

status.register("battery",
    battery_ident="BAT0",
    format="BAT0: {status}{percentage:.2f}% {remaining:%E%h:%M}",
    alert=True,
    alert_percentage=5,
    status={
        "DIS": "↓",
        "CHR": "↑",
        "FULL": "",
    })
status.register("battery",
    battery_ident="BAT1",
    format="BAT1: {status}{percentage:.2f}% {remaining:%E%h:%M}",
    alert=True,
    alert_percentage=5,
    status={
        "DIS": "↓",
        "CHR": "↑",
        "FULL": "",
    })

status.register("load",
    format="{avg1} {avg5}")

#status.register("temp",
#    format="{Package_id_0:.0f}°C {fan0:.0f}rpm",
#    lm_sensors_enabled=True,
#    dynamic_color=True)

status.register("shell",
    format="{output}",
    command="/home/kunsi/.config/i3pystatus/rfkill.py",
    interval=1)

status.register("network",
    interface="wlp4s0",
    format_up="{interface}:[ {essid} ({freq:01.3f}GHz – {quality}%)][ {v4cidr}][ {v6cidr}]",
    format_down="{interface}: down",
    on_leftclick="i3-sensible-terminal -- sudo wifi-menu",
    detect_active=True,
    freq_divisor=1000000000)

status.register("disk",
    path="/home",
    format="{used}/{total}G",)

#status.register("mpd",
#    format="{status} [{pos}/{len}: ][{artist} - ]{title}{filename}[ ({song_elapsed}/{song_length})]",
#    status={
#        "pause": "▷",
#        "play": "▶",
#        "stop": "◾",
#    },
#    host="172.19.138.20",
#    color="#666666",
#    on_rightclick="stop",
#    on_upscroll="previous_song",
#    on_downscroll="next_song",
#    hide_inactive=True,
#    max_field_len=200)

status.run()
